<?php
/*
Plugin Name: Custom Contact Link
Version: 11.0.a
Description: Add a specific contact button on the page of the photo
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=895
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/
// +-----------------------------------------------------------------------+
// | Custom Contact Link for Piwigo by TEMMII    	                       |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2018-2021 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('CCL_DIR' , basename(dirname(__FILE__)));
define('CCL_PATH' , PHPWG_PLUGINS_PATH . CCL_DIR . '/');

  global $pwg_loaded_plugins;

if (isset($pwg_loaded_plugins['ContactForm'])){

  add_event_handler('loc_end_picture', 'ccl_add_link');
  function ccl_add_link(){
	global $template;
	load_language('plugin.lang', CCL_PATH);
	load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );
	$template->set_prefilter('picture', 'ccl_add_link_prefilter');
  }

  function ccl_add_link_prefilter($content, &$smarty){
	$custom_cont_tpl = '<div id="customContactLink"><a href="'.PHPWG_ROOT_PATH.'index.php?/contact/" rel="nofollow"><img src="plugins/custom_contact_link/contact_white_32.png"> {\'Contact us\'|@translate}<span class="clichere"> {\'Clic here\'|@translate}</span></a></div>{combine_css path="plugins/custom_contact_link/style.css"}';
	if(isset($conf['custom_contact_link_position'])){
      if ('properties-after' == $conf['custom_contact_link_position']){
        $search = '#</dl>#';
        $replace = '</dl>'.$custom_cont_tpl;
        return preg_replace($search, $replace, $content, 1);
      }

      if('properties-before' == $conf['custom_contact_link_position']){
		$search = '<dl id="standard"';
		$replace = $custom_cont_tpl.$search;
		return str_replace($search, $replace, $content);
      }
	}
  
	$search = '{$ELEMENT_CONTENT}';
	$replace = '{$ELEMENT_CONTENT}'.$custom_cont_tpl;
	return str_replace($search, $replace, $content);
  }
}else{
  if (script_basename() == 'admin'){
	global $page,$conf;
	load_language('plugin.lang', CCL_PATH);
	$page['errors'][] = l10n('For use "Custom Contact Link" on photo page the plugin ContactForm must be installed and activated');
  }	
}

?>
